## hotspot 1.0

=== DESCRIPTION ===
Package: hotspot
Type: Package
Title: Software Hotspot Analysis
Version: 1.0
Date: 2015-10-22
Author: Csaba Farago
Maintainer: Csaba Farago <farago@inf.u-szeged.hu>
Description: Contains data for software hotspot analysis, along with a function performing the analysis itself.
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2015-10-23 15:57:48 UTC; U521684
Repository: CRAN
Date/Publication: 2015-10-23 18:26:11
