=== debian/changelog ===
hotspot (1.1.0+git20180816-2) unstable; urgency=medium

  * d/patches: Add a patch to disable testProc temporarily
    (Closes: #914357) .

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 07 Jan 2019 16:06:12 +0800

hotspot (1.1.0+git20180816-1) unstable; urgency=low

  * Initial release. Closes: #907393

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 27 Aug 2018 17:53:49 +0800
