=== 3rdparty/CMakeLists.txt ===
include(perfparser.cmake)
