=== tests/CMakeLists.txt ===
add_subdirectory(test-clients)
add_subdirectory(modeltests)
add_subdirectory(integrationtests)
