=== src/models/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
     processlist_unix.cpp
     timelinedelegate.cpp
     eventmodel.cpp
+    filterandzoomstack.cpp
     ../util.cpp
 )
