=== tests/test-clients/c-syscalls/CMakeLists.txt ===
set(CMAKE_BUILD_TYPE RelWithDebInfo)

add_executable(c-syscalls main.c)
