=== debian/changelog ===
hotspot (1.1.0+git20190211-1) unstable; urgency=high

  * New release for debian.
  * Update perfparser. (Closes: #921431)

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 13 Feb 2019 16:20:45 +0800
