=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- linux-tools-common,
+ linux-perf,
  policykit-1,
 Description: GUI tool for performance analysis
  hotspot project is a KDAB R&D effort to create a
