## hotspot 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1.0)
-project(hotspot VERSION 1.1.0 LANGUAGES CXX C)
+project(hotspot VERSION 1.3.0 LANGUAGES CXX C)
 
 if (POLICY CMP0063)
     cmake_policy (SET CMP0063 NEW)
@@ -19,7 +19,11 @@
     endif()
 endif()
 
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH})
+set(CMAKE_MODULE_PATH
+    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/perfparser/cmake/
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/
+    ${CMAKE_MODULE_PATH}
+)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
@@ -42,11 +46,12 @@
 
 include(FeatureSummary)
 
-find_package(Qt5 5.6 COMPONENTS Core Widgets Network Test REQUIRED)
+find_package(Qt5 5.10 COMPONENTS Core Widgets Network Test Svg REQUIRED)
 find_package(LibElf REQUIRED)
-find_package(Elfutils REQUIRED) # TODO: make optional, use internal copy
+find_package(Elfutils REQUIRED)
 find_package(ECM 1.0.0 NO_MODULE REQUIRED)
 find_package(Threads REQUIRED)
+find_package(Zstd)
 
 if(Qt5_FOUND AND ECM_FOUND)
     set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
