=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 set(hotspot_SRCS
     main.cpp
-    util.cpp
 
     parsers/perf/perfparser.cpp
     perfrecord.cpp
@@ -40,6 +39,7 @@
     resultsflamegraphpage.cpp
     resultscallercalleepage.cpp
     resultsutil.cpp
+    costheaderview.cpp
 
     # ui files:
     mainwindow.ui
@@ -68,6 +68,7 @@
 
 target_link_libraries(hotspot
     Qt5::Widgets
+    Qt5::Svg
     KF5::ThreadWeaver
     KF5::I18n
     KF5::ConfigWidgets
@@ -81,6 +82,7 @@
     KF5::Solid
     KF5::WindowSystem
     models
+    PrefixTickLabels
 )
 
 set_target_properties(hotspot
