=== src/models/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
     processfiltermodel.cpp
     processlist_unix.cpp
     timelinedelegate.cpp
+    timeaxisheaderview.cpp
     eventmodel.cpp
     filterandzoomstack.cpp
+    ../settings.cpp
     ../util.cpp
 )
 
@@ -18,4 +20,5 @@
     Qt5::Widgets
     KF5::ItemModels
     KF5::ConfigWidgets
+    PrefixTickLabels
 )
