=== tests/integrationtests/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 ecm_add_test(
     ../../src/perfrecord.cpp
+    ../../src/settings.cpp
     ../../src/util.cpp
     ../../src/models/data.cpp
     ../../src/parsers/perf/perfparser.cpp
@@ -25,6 +26,7 @@
 
 add_executable(dump_perf_data
     dump_perf_data.cpp
+    ../../src/settings.cpp
     ../../src/util.cpp
     ../../src/models/data.cpp
     ../../src/parsers/perf/perfparser.cpp
@@ -38,3 +40,18 @@
     PROPERTIES
     RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${KDE_INSTALL_BINDIR}"
 )
+
+include_directories(
+    ${LIBELF_INCLUDE_DIRS}
+    ${LIBDW_INCLUDE_DIR}/elfutils
+    ${LIBDWARF_INCLUDE_DIRS}
+    perfparser/app
+)
+
+add_executable(elfwalk elfwalk.cpp)
+
+target_link_libraries(elfwalk
+LINK_PRIVATE
+    ${LIBDW_LIBRARIES}
+    ${LIBELF_LIBRARIES}
+)
