=== tests/test-clients/CMakeLists.txt ===
--- 
+++ 
@@ -19,3 +19,4 @@
 add_subdirectory(cpp-sleep)
 add_subdirectory(cpp-threadnames)
 add_subdirectory(cpp-parallel)
+add_subdirectory(c-fork)
