=== tests/test-clients/c-fork/CMakeLists.txt ===
add_executable(c-fork c-fork.c)
