=== tests/test-clients/cpp-inlining/CMakeLists.txt ===
set(CMAKE_BUILD_TYPE RelWithDebInfo)

add_executable(cpp-inlining main.cpp)
