=== debian/changelog ===
hotspot (1.3.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:42 +1100

hotspot (1.3.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:36:29 +0000

hotspot (1.3.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 00:59:09 +0000

hotspot (1.3.0-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Update perf dependency to the Ubuntu version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2021 08:37:14 +0100

hotspot (1.3.0-2) unstable; urgency=medium

  * Patch to fix build on mips (Closes: #982870)

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 21 Feb 2021 11:26:09 +0800

hotspot (1.3.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Update perf dependency to the Ubuntu version 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Jan 2021 13:58:24 +0100

hotspot (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0 (Closes: #962296)

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 09 Jan 2021 17:15:50 +0800

hotspot (1.1.0+git20190211-1ubuntu1) eoan; urgency=medium

  * Update perf dependency to the Ubuntu version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 May 2019 20:36:02 +0200
