=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hotspot
 Section: utils
 Priority: optional
-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
 Build-Depends:
  debhelper (>=11~),
  cmake,
@@ -15,6 +16,7 @@
  libkf5configwidgets-dev,
  libkf5solid-dev,
  libkf5windowsystem-dev,
+ libqt5svg5-dev,
  libelf-dev,
  libdw-dev,
  gettext,
@@ -29,7 +31,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- linux-perf,
+ linux-tools-common,
  policykit-1,
 Description: GUI tool for performance analysis
  hotspot project is a KDAB R&D effort to create a
