=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hotspot-$1.tar.gz%" \
   https://github.com/KDAB/hotspot/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
