## hotspot 1.5.1

=== debian/changelog ===
hotspot (1.5.1-0zneon+24.04+noble+stable+build3) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Dec 2025 23:12:20 +0000

hotspot (1.5.1-0neon) noble; urgency=medium

  [ Carlos De Miane ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 13:46:54 +1000

hotspot (1.4.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Tue, 06 Dec 2022 17:36:23 +0000
