=== debian/control ===
Source: hotspot
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               kf6-threadweaver-dev,
               libdw-dev,
               libelf-dev,
               libkddockwidgets-qt6-dev,
               libkgraphviewer-dev,
               libqcustomplot-dev,
               librust-rustc-demangle-dev,
               libzstd-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://github.com/KDAB/hotspot
Vcs-Git: https://invent.kde.org/neon/neon-packaging/hotspot.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/hotspot
Maintainer: Neon CI <neon@kde.org>

Package: hotspot
Architecture: any
Multi-Arch: foreign
Depends: binutils,
         linux-tools-common,
         policykit-1,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GUI tool for performance analysis
 hotspot project is a KDAB R&D effort to create a
 standalone GUI tool for performance data. This tool
 now only support perf output data. But is intended to
 support various other performance data formats in the
 future.
