=== debian/watch ===
version=4
opts="searchmode=plain, \
filenamemangle=s/.+\/@PACKAGE@-v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/KDAB/hotspot/releases \
https://github.com/KDAB/hotspot/releases/download/v?\d[\.\d]*/@PACKAGE@-v?@ANY_VERSION@.tar.gz
