=== tests/test-clients/c-syscalls/CMakeLists.txt ===
add_executable(
    c-syscalls
    main.c
)
