=== tests/test-clients/cpp-stdin/CMakeLists.txt ===
add_executable(
    cpp-stdin
    main.cpp
)
