=== debian/changelog ===
hotspot (1.6.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    + Migrate to Qt6 and KF6. (Closes: #1112994, #1124832)
    + Fix CVE-2023-28144. (Closes: #1033848)
  * debian/control: Update build-deps.
  * debian/control: Replace dependency on policykit-1 with pkexec.
    (Closes: #1025573)
  * debian/patches: Drop old patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 13:33:42 -0500
