=== debian/control ===
Source: hotspot
Section: utils
Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 gettext,
 kgraphviewer-dev,
 libdw-dev,
 libelf-dev,
 libkddockwidgets-qt6-dev,
 libkf6configwidgets-dev,
 libkf6coreaddons-dev,
 libkf6i18n-dev,
 libkf6iconthemes-dev,
 libkf6itemmodels-dev,
 libkf6itemviews-dev,
 libkf6kio-dev,
 libkf6parts-dev,
 libkf6solid-dev,
 libkf6syntaxhighlighting-dev,
 libkf6threadweaver-dev,
 libkf6windowsystem-dev,
 libqcustomplot-dev,
 libzstd-dev,
 linux-perf,
 qt6-base-dev,
 qt6-svg-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/KDAB/hotspot
Vcs-Git: https://salsa.debian.org/debian/hotspot.git
Vcs-Browser: https://salsa.debian.org/debian/hotspot

Package: hotspot
Architecture: any
Multi-Arch: foreign
Depends:
 linux-perf,
 pkexec,
 ${misc:Depends},
 ${shlibs:Depends},
Description: GUI tool for performance analysis
 hotspot project is a KDAB R&D effort to create a
 standalone GUI tool for performance data. This tool
 now only support perf output data. But is intended to
 support various other performance data formats in the
 future.
