=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT6_BUILD=ON

execute_before_dh_auto_configure:
	ln -sf ../perfparser 3rdparty/perfparser
	ln -sf ../PrefixTickLabels 3rdparty/PrefixTickLabels

execute_before_dh_clean:
	rm -rf 3rdparty/perfparser
	rm -rf 3rdparty/PrefixTickLabels

override_dh_auto_test:
	# Skip tests that need unavailable rustc_demangle and d_demangle
	dh_auto_test -- \
		ARGS\+="-E 'tst_perfdata|tst_models|tst_perfparser'"
