=== debian/watch ===
Version: 5

Template: GitHub
Owner: KDAB
Project: hotspot
